List API keys
curl --request GET \
--url https://go-fetch.io/api/v1/api-keys/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/api-keys/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/api-keys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 123,
"offset": 123,
"limit": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"environment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"environment_slug": "<string>",
"name": "<string>",
"prefix": "<string>",
"scopes": [
"read"
],
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"rate_limit": 50000,
"is_active": true,
"expires_at": "2023-11-07T05:31:56Z"
}
]
}API keys
List API keys
Your organization’s keys, newest first: name, prefix, scopes and rate limit, never the key.
GET
/
api
/
v1
/
api-keys
/
List API keys
curl --request GET \
--url https://go-fetch.io/api/v1/api-keys/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/api-keys/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/api-keys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 123,
"offset": 123,
"limit": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"environment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"environment_slug": "<string>",
"name": "<string>",
"prefix": "<string>",
"scopes": [
"read"
],
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"rate_limit": 50000,
"is_active": true,
"expires_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.